<script>
import appConfig from '@src/app.config.json'
import Layout from '@layouts/main'
import DashboardCandidate from '@src/components/dashboard/dashboard-candidate'
import DashboardCompany from '@src/components/dashboard/dashboard-company'
import store from "@state/store";

export default {
  page: {
    meta: [{ name: 'description', content: appConfig.description }],
  },
  components: { Layout, DashboardCandidate, DashboardCompany },
  data() {
    return {
      user : store.state.auth.currentUser
    }
  },
}
</script>

<template>
  <Layout>
    <DashboardCandidate v-if="user.isCandidate()"></DashboardCandidate>
    <DashboardCompany v-else></DashboardCompany>
  </Layout>
</template>
